Create webhook
post
/v1/webhooksRegister a webhook endpoint to receive real-time order events.
Example
curl -X POST "https://api.ya.onl/v1/webhooks" \
-H "X-API-Key: yv_live_v1_…" \
-H "Content-Type: application/json" \
-d '{"url":"…","events":"…"}'Request body
urlstringURL to receive webhook events
eventsWebhookEventType[]Event types to subscribe to
descriptionstring | nullOptional description for this webhook
Responses
201Successful Response
401Invalid or missing API key
403API key lacks the required scope
422Validation Error
429Rate limit exceeded
503Webhooks are not configured for this environment
